# Zip compress

An action block that compresses content into a zip file.

The fiber will pause until the compression has completed.

The final directory level of source path may contain glob patterns.

## Input arguments

- Destination zip file — path to a new or an existing zip file.
- Source path — path of content to compress.
- Destination folder in zip — directory inside the archive to place compressed content, default is zip root directory.
- Recursive — whether to recursively compress directories and all their content, default is false.
- Update — whether to update an existing zip archive, instead of overwriting it, default is false.
- Compression method — compression method used for files, default is Deflated normal.